com.sun.java.xml.ns.javaee

## Class CookieConfigType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.CookieConfigType

-     public class CookieConfigType
      extends Object

  The cookie-configType defines the configuration for the session tracking cookies of this web application. Used in: session-config

  Java-Klasse für cookie-configType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="cookie-configType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="name" type="{http://java.sun.com/xml/ns/javaee}cookie-nameType" minOccurs="0"/>
               <element name="domain" type="{http://java.sun.com/xml/ns/javaee}cookie-domainType" minOccurs="0"/>
               <element name="path" type="{http://java.sun.com/xml/ns/javaee}cookie-pathType" minOccurs="0"/>
               <element name="comment" type="{http://java.sun.com/xml/ns/javaee}cookie-commentType" minOccurs="0"/>
               <element name="http-only" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="secure" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="max-age" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CookieCommentType` | `comment`
    `protected CookieDomainType` | `domain`
    `protected TrueFalseType` | `httpOnly`
    `protected String` | `id`
    `protected XsdIntegerType` | `maxAge`
    `protected CookieNameType` | `name`
    `protected CookiePathType` | `path`
    `protected TrueFalseType` | `secure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieConfigType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieCommentType` | `getComment()` Ruft den Wert der comment-Eigenschaft ab.
    `CookieDomainType` | `getDomain()` Ruft den Wert der domain-Eigenschaft ab.
    `TrueFalseType` | `getHttpOnly()` Ruft den Wert der httpOnly-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `XsdIntegerType` | `getMaxAge()` Ruft den Wert der maxAge-Eigenschaft ab.
    `CookieNameType` | `getName()` Ruft den Wert der name-Eigenschaft ab.
    `CookiePathType` | `getPath()` Ruft den Wert der path-Eigenschaft ab.
    `TrueFalseType` | `getSecure()` Ruft den Wert der secure-Eigenschaft ab.
    `void` | `setComment(CookieCommentType value)` Legt den Wert der comment-Eigenschaft fest.
    `void` | `setDomain(CookieDomainType value)` Legt den Wert der domain-Eigenschaft fest.
    `void` | `setHttpOnly(TrueFalseType value)` Legt den Wert der httpOnly-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setMaxAge(XsdIntegerType value)` Legt den Wert der maxAge-Eigenschaft fest.
    `void` | `setName(CookieNameType value)` Legt den Wert der name-Eigenschaft fest.
    `void` | `setPath(CookiePathType value)` Legt den Wert der path-Eigenschaft fest.
    `void` | `setSecure(TrueFalseType value)` Legt den Wert der secure-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected CookieNameType name

    - #### domain

          protected CookieDomainType domain

    - #### path

          protected CookiePathType path

    - #### comment

          protected CookieCommentType comment

    - #### httpOnly

          protected TrueFalseType httpOnly

    - #### secure

          protected TrueFalseType secure

    - #### maxAge

          protected XsdIntegerType maxAge

    - #### id

          protected String id

  - ### Constructor Detail

    - #### CookieConfigType

          public CookieConfigType()

  - ### Method Detail

    - #### getName

          public CookieNameType getName()

      Ruft den Wert der name-Eigenschaft ab.
      Returns:
        possible object is `CookieNameType`

    - #### setName

          public void setName(CookieNameType value)

      Legt den Wert der name-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `CookieNameType`

    - #### getDomain

          public CookieDomainType getDomain()

      Ruft den Wert der domain-Eigenschaft ab.
      Returns:
        possible object is `CookieDomainType`

    - #### setDomain

          public void setDomain(CookieDomainType value)

      Legt den Wert der domain-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `CookieDomainType`

    - #### getPath

          public CookiePathType getPath()

      Ruft den Wert der path-Eigenschaft ab.
      Returns:
        possible object is `CookiePathType`

    - #### setPath

          public void setPath(CookiePathType value)

      Legt den Wert der path-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `CookiePathType`

    - #### getComment

          public CookieCommentType getComment()

      Ruft den Wert der comment-Eigenschaft ab.
      Returns:
        possible object is `CookieCommentType`

    - #### setComment

          public void setComment(CookieCommentType value)

      Legt den Wert der comment-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `CookieCommentType`

    - #### getHttpOnly

          public TrueFalseType getHttpOnly()

      Ruft den Wert der httpOnly-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setHttpOnly

          public void setHttpOnly(TrueFalseType value)

      Legt den Wert der httpOnly-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getSecure

          public TrueFalseType getSecure()

      Ruft den Wert der secure-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setSecure

          public void setSecure(TrueFalseType value)

      Legt den Wert der secure-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getMaxAge

          public XsdIntegerType getMaxAge()

      Ruft den Wert der maxAge-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setMaxAge

          public void setMaxAge(XsdIntegerType value)

      Legt den Wert der maxAge-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.